#pragma once
#include <iostream>
#include <string>
#include <filesystem>


#include "Engine.h"
#include "glm/glm.hpp"


#include "graphics/Shader.h"
#include "graphics/Window.h"
#include "graphics/Camera.h"
#include "graphics/Renderable.h"
#include "spdlog/spdlog.h"

#include "MemoryManager.h"

extern "C"
{
	#include "lauxlib.h"
	#include "lua.h"
	#include "lualib.h"
}
void WARN(std::string message);